//+------------------------------------------------------------------+
//|                                               LastDayHighLow.mq4 |
//|                             These are the last days high and low |
//|                                   Copyright  2008, Serega Lykov |
//|                                       http://mtexperts.narod.ru/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Serega Lykov"
#property link      "http://mtexperts.narod.ru/"
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red

double HighBuffer[];
double LowBuffer[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexStyle(0,DRAW_LINE);
   SetIndexStyle(1,DRAW_LINE);
   IndicatorDigits(Digits);
   IndicatorShortName("Last Day High/Low");
   SetIndexBuffer(0,HighBuffer);
   SetIndexBuffer(1,LowBuffer);
   SetIndexLabel(0,"Last Day High");
   SetIndexLabel(1,"Last Day Low");
   return(0);
  }

//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int counted_bars = IndicatorCounted();
   if(counted_bars < 0) return(-1);
   if(counted_bars>0) counted_bars--;
   for(int i=0; i<=counted_bars; i++)
     {
      HighBuffer[i] = iHigh(NULL,PERIOD_D1,iBarShift(NULL,PERIOD_D1,Time[i])+1);
      LowBuffer[i] = iLow(NULL,PERIOD_D1,iBarShift(NULL,PERIOD_D1,Time[i])+1);
     }
   return(0);
  }
//+------------------------------------------------------------------+